import type { BaseContract, BigNumber, BigNumberish, BytesLike, CallOverrides, PopulatedTransaction, Signer, utils } from "ethers";
import type { FunctionFragment, Result } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent, PromiseOrValue } from "../../common";
export interface TxProofVerifierInterface extends utils.Interface {
    functions: {
        "unpackProof(uint256[8])": FunctionFragment;
        "verifier()": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "unpackProof" | "verifier"): FunctionFragment;
    encodeFunctionData(functionFragment: "unpackProof", values: [PromiseOrValue<BigNumberish>[]]): string;
    encodeFunctionData(functionFragment: "verifier", values?: undefined): string;
    decodeFunctionResult(functionFragment: "unpackProof", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "verifier", data: BytesLike): Result;
    events: {};
}
export interface TxProofVerifier extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: TxProofVerifierInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        unpackProof(_proof: PromiseOrValue<BigNumberish>[], overrides?: CallOverrides): Promise<[
            [
                BigNumber,
                BigNumber
            ],
            [
                [BigNumber, BigNumber],
                [BigNumber, BigNumber]
            ],
            [
                BigNumber,
                BigNumber
            ]
        ]>;
        verifier(overrides?: CallOverrides): Promise<[string]>;
    };
    unpackProof(_proof: PromiseOrValue<BigNumberish>[], overrides?: CallOverrides): Promise<[
        [
            BigNumber,
            BigNumber
        ],
        [
            [BigNumber, BigNumber],
            [BigNumber, BigNumber]
        ],
        [
            BigNumber,
            BigNumber
        ]
    ]>;
    verifier(overrides?: CallOverrides): Promise<string>;
    callStatic: {
        unpackProof(_proof: PromiseOrValue<BigNumberish>[], overrides?: CallOverrides): Promise<[
            [
                BigNumber,
                BigNumber
            ],
            [
                [BigNumber, BigNumber],
                [BigNumber, BigNumber]
            ],
            [
                BigNumber,
                BigNumber
            ]
        ]>;
        verifier(overrides?: CallOverrides): Promise<string>;
    };
    filters: {};
    estimateGas: {
        unpackProof(_proof: PromiseOrValue<BigNumberish>[], overrides?: CallOverrides): Promise<BigNumber>;
        verifier(overrides?: CallOverrides): Promise<BigNumber>;
    };
    populateTransaction: {
        unpackProof(_proof: PromiseOrValue<BigNumberish>[], overrides?: CallOverrides): Promise<PopulatedTransaction>;
        verifier(overrides?: CallOverrides): Promise<PopulatedTransaction>;
    };
}
